# classes/phing/system/util/Timer.php

This class can be used to obtain the execution time of all of the scripts that are executed in the process of building a page.

Example: To be done before any scripts execute:

$Timer = new Timer; $Timer->Start_Timer();

To be done after all scripts have executed:

$timer->Stop_Timer(); $timer->Get_Elapsed_Time(int number_of_places);

author
  Charles Killian
author
  Hans Lellelid
package
  phing.system.util
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

## \Timer
jump to top

This class can be used to obtain the execution time of all of the scripts that are executed in the process of building a page.

Example: To be done before any scripts execute:

$Timer = new Timer; $Timer->Start_Timer();

To be done after all scripts have executed:

$timer->Stop_Timer(); $timer->Get_Elapsed_Time(int number_of_places);

author
  Charles Killian
author
  Hans Lellelid
package
  phing.system.util
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

### Properties

`$etime= ''`

end time

Details

Type

`$stime= ''`

start time

Details

Type

### Methods

`getElapsedTime( \$places $places = 5 ) : string`
This function returns the elapsed time in seconds.

Call start_time() at the beginning of script execution and end_time() at the end of script execution. Then, call elapsed_time() to obtain the difference between start_time() and end_time().

Parameters

Name | Type | Description
--- | --- | ---
$places | \$places | decimal place precision of elapsed time (default is 5)

Returns

Type | Description
--- | ---
string |

`getMicrotime( ) : \current`
This function returns the current time in microseconds.
Returns

Type | Description
--- | ---
\current |

Details

access
  private
author
  Everett Michaud, Zend.com

`start( ) : void`
This function sets the class variable $stime to the current time in microseconds.
`stop( ) : void`
This function sets the class variable $etime to the current time in microseconds.
Documentation was generated by DocBlox 0.13.1.